# chuniio-rs
ChuniIO driver for various controllers.

## Configuration
segatools.ini

```ini
[chuniio]
;; For Chunithm NEW or newer
path32=chuniio_xxx_chusan.dll
path64=chuniio_xxx_amdaemon.dll

;; For CHUNITHM PARADISE and older
path=chuniio_xxx.dll

[io3]
test=0x31
service=0x32
coin=0x33
```

## Build instructions
Currently supported backends are:
- `tasoller_v1`
- `tasoller_v2`
- `yubideck_v3`

```shell
CONTROLLER="tasoller_v1"  # replace with your preferred controller backend

# For CHUNITHM NEW (SDHD)
cargo build --target i686-pc-windows-msvc --release --features chusan,$CONTROLLER
cargo build --target x86_64-pc-windows-msvc --release --features chusan,$CONTROLLER
cp target/i686-pc-windows-msvc/release/chuniio_rs.dll chuniio_${CONTROLLER}_chusan.dll
cp target/x86_64-pc-windows-msvc/release/chuniio_rs.dll chuniio_${CONTROLLER}_amdaemon.dll

# For CHUNITHM (SDBT)
cargo build --target i686-pc-windows-msvc --release --features $CONTROLLER
cp target/i686-pc-windows-msvc/release/chuniio_rs.dll chuniio_$CONTROLLER.dll
```