#!/bin/bash

mkdir -p dist/chusan
mkdir -p dist/chuni

for backend in tasoller_v1 tasoller_v2 yubideck_v3
do
    cargo build --target i686-pc-windows-msvc --release --features chusan,$backend
    cargo build --target x86_64-pc-windows-msvc --release --features chusan,$backend
    
    cp target/i686-pc-windows-msvc/release/chuniio_rs.dll dist/chusan/chuniio_${backend}_chusan.dll
    cp target/x86_64-pc-windows-msvc/release/chuniio_rs.dll dist/chusan/chuniio_${backend}_amdaemon.dll

    cargo build --target i686-pc-windows-msvc --release --features $backend
    cp target/i686-pc-windows-msvc/release/chuniio_rs.dll dist/chuni/chuniio_${backend}.dll
done